
#ifndef COM_PROPERTYHANDLERFACTORY_H
#define COM_PROPERTYHANDLERFACTORY_H


HRESULT PropertyHandlerFactory_CreateInstance(REFIID riid, void **ppv);

class PropertyHandlerFactory
	:public IClassFactory
{
public:
	IFACEMETHODIMP					QueryInterface(REFIID riid, void **ppv);

	IFACEMETHODIMP_(ULONG)			AddRef(); 
	IFACEMETHODIMP_(ULONG)			Release();

	IFACEMETHODIMP					CreateInstance(IUnknown *pUnkOuter, REFIID riid, void **ppv);

	IFACEMETHODIMP					LockServer(BOOL fLock);
};

#endif // COM_PROPERTYHANDLERFACTORY_H
