
[Setup]
ArchitecturesAllowed=x64
ArchitecturesInstallIn64BitMode=x64
AppName=Pictus
AppMutex=Local\Pictus Viewer
AppPublisherURL=http://www.poppeman.se/
AppSupportURL=http://www.poppeman.se/pictus
AppUpdatesURL=http://www.poppeman.se/pictus
AppVerName=Pictus
DefaultDirName={pf}\Pictus
MinVersion=0.0,5.01
UninstallDisplayIcon={app}\Pictus.exe
VersionInfoDescription=Pictus Setup 64-bit
OutputBaseFilename=PictInst64
OutputDir=../../dist/
DisableProgramGroupPage=yes
VersionInfoVersion=1.1.4.0

[Languages]
Name: en; MessagesFile: "compiler:Default.isl"; LicenseFile: "license_en.txt"
Name: sv; MessagesFile: "compiler:Languages\Swedish.isl"; LicenseFile: "license_sv.txt"

[Files]
Source: "..\x64\release\Pictus.exe"; DestDir: "{app}"; Flags: replacesameversion
Source: "..\..\docs\Readme.txt"; DestDir: "{app}"; Flags: replacesameversion

[Icons]
Name: "{commonprograms}\Pictus"; Filename: "{app}\Pictus.exe"

[Run]
Filename: "{app}\Pictus.exe"; Parameters: "{code:ConstructSetupParams}"

[UninstallRun]
Filename: "{app}\Pictus.exe"; Parameters: "--cleanup"

[Code]
function ConstructSetupParams(penislol:String):String;
begin
	Result := '--show-wizard-install ' + ActiveLanguage;
end;

