#ifndef APPREG_H
#define APPREG_H

#include "orz/intl.h"

namespace App {
	enum ResizePositionMethod {
		PositionToScreen,
		PositionToCurrent,
		PositionNothing
	};

	enum MouseAction {
		MouseDisable,
		MousePan,
		MouseContext,
		MouseToggleFullSizeDefaultZoom,
		MouseNextImage,
		MousePrevImage,
		MouseZoomIn,
		MouseZoomOut,
		MouseFullscreen,
		MouseFullscreenPreviewNoClick,
		MouseFullscreenPreviewClick,
		MouseUndefined,
	};
}

namespace Reg {
	struct DWordNode {
		const Char* Name;
		int Value;
	};

	namespace Keys {
#include "keys_dword.inc"
	};
}


#endif