#include "StdAfx.h"
#include "factory_renderer.h"

#include "rendertargetd3d.h"
#include "rendertargetgdi.h"


namespace App {
	Win::Renderer::Ptr RendererFactory::CreateRenderer(App::Renderer type) {
		if(type == RenderD3D)
			return Win::Renderer::Ptr(new Win::RendererD3D);
		if(type == RenderGDI)
			//return Win::Renderer::Ptr(new Win::RendererGDI);
			return Win::Renderer::Ptr(new Win::RendererD3D);
		return Win::Renderer::Ptr();
	}
}
