#include "StdAfx.h"
#include "osinfo.h"

namespace Win {
	Win::WindowsVersion GetWindowsVersion() {
		OSVERSIONINFO oi;
		oi.dwOSVersionInfoSize = sizeof(OSVERSIONINFO);
		GetVersionEx(&oi);
		if (oi.dwMajorVersion >= 6)
			return WindowsVista;

		return WindowsXP;
	}
}
