#ifndef REG_DEFAULTPROGRAMS_H
#define REG_DEFAULTPROGRAMS_H

#include "app_types.h"

namespace App {
	class DefaultPrograms {
	public:
		static bool IsRegistered();
		static void Register(const String& name, const String& description);
		static void Unregister();
		static void AddExtension(const String& progId, const String& ext);

		static void Associate(const String& extension);
		static bool IsAssociated(const String& Extension);

	private:
		static const String AppIdBasePath;
		static const String RegisteredApplicationsBasePath;
	};
}

#endif
