#ifndef SETUP_WIZARD_H
#define SETUP_WIZARD_H

#include "dialog.h"
#include "illa/codecmgr.h"

namespace App {
	namespace Wiz {
		class Page;

		class SetupWizard:public Win::Dialog {
		public:
			bool PerformOnInitDialog();

			SetupWizard(Img::CodecFactoryStore* cfs, bool showLanguageDialog = true);
			~SetupWizard();

		private:
			void nextPage();
			void previousPage();
			void writeSettings();
			void UpdateButtons();

		private:
			typedef std::vector<Page*>	PageContainer;
			PageContainer m_pages;
			size_t m_pageIndex;
		};
	}
}

#endif
