#include "StdAfx.h"
#include "version.h"

String ToString(const App::Version ver) {
	return ToString(ver.Major) + TX(".") + ToString(ver.Minor) + TX(".") + ToString(ver.Revision);
}

namespace App {
	bool Version::operator>(const Version& rhs) {
		if (Major > rhs.Major) return true;
		if (Major < rhs.Major) return false;
		if (Minor > rhs.Minor) return true;
		if (Minor < rhs.Minor) return false;
		if (Revision > rhs.Revision) return true;
		return false;
	}
}
