#include "StdAfx.h"
#include "vista_filetypehandler.h"
#include "res_settings.h"

#include "ctrl_button.h"

namespace App {
	void FiletypeHandlerVista::OnInit(Win::Dialog* parent) {
		parent->ShowControl(IDC_LIST_FILETYPES_FILETYPES, false);
		parent->ShowControl(IDC_BUTTON_FILETYPES_LAUNCHDIALOG, true);

		parent->CreateButton(IDC_BUTTON_FILETYPES_LAUNCHDIALOG)->OnClick.connect(bind(&FiletypeHandlerVista::LaunchDialog, this));
	}

	void FiletypeHandlerVista::LaunchDialog() {
		IApplicationAssociationRegistrationUI* pAAR;

		HRESULT hr = CoCreateInstance(CLSID_ApplicationAssociationRegistrationUI, NULL, CLSCTX_INPROC, __uuidof(IApplicationAssociationRegistrationUI), (void**)&pAAR);
		if(SUCCEEDED(hr)) {
			pAAR->LaunchAdvancedAssociationUI(TX("Pictus Image Viewer"));
			pAAR->Release();
		}
	}
}
