#include "StdAfx.h"
#include "wiz_customfileformats.h"
#include "res_viewer.h"

namespace App {
	namespace Wiz {
		void CustomFileFormats::onInitPage() {
			ControlText(IDC_STATIC_INSTALL_CUSTOMFORMATS_DESC, SIDInstallCustomFormatsDesc);
			m_filetypes.reset(new App::FileFormatsListView(this, IDC_LIST_INSTALL_CUSTOMFORMATS_FILEFORMATS, m_cfs));
		}

		void CustomFileFormats::writeSettings() {
			m_filetypes->WriteAssociations();
		}

		CustomFileFormats::CustomFileFormats(Img::CodecFactoryStore* cfs) :Page(IDD_INSTALL_CUSTOMFORMATS),
			m_filetypes(0),
			m_cfs(cfs) {
		}
	}
}
