#include "StdAfx.h"
#include "xp_filetypehandler.h"
#include "res_settings.h"
#include "assoc_util.h"

namespace App {
	void FiletypeHandlerXP::OnInit(Win::Dialog* parent) {
		m_filetypes.reset(new App::FileFormatsListView(parent, IDC_LIST_FILETYPES_FILETYPES, m_cfs));

		parent->ShowControl(IDC_LIST_FILETYPES_FILETYPES, true);
		parent->ShowControl(IDC_BUTTON_FILETYPES_LAUNCHDIALOG, false);
	}

	void FiletypeHandlerXP::OnWriteSettings() {
		m_filetypes->WriteAssociations();
	}

	FiletypeHandlerXP::FiletypeHandlerXP(Img::CodecFactoryStore* cfs):m_cfs(cfs) {}
}
