#ifndef XP_FILETYPEHANDLER_H
#define XP_FILETYPEHANDLER_H

#include "filetypehandler.h"
#include "common_controls.h"

namespace Img {
	class CodecFactoryStore;
}

namespace App {
	class FiletypeHandlerXP:public FiletypeHandler {
	public:
		void OnInit(Win::Dialog* parent);
		void OnWriteSettings();

		FiletypeHandlerXP(Img::CodecFactoryStore* cfs);

	private:
		boost::shared_ptr<App::FileFormatsListView>	m_filetypes;
		Img::CodecFactoryStore* m_cfs;
	};
}

#endif
