#ifndef PCX_HEADER_H
#define PCX_HEADER_H

#include "orz/file.h"
#include "geom.h"
#include "types.h"

namespace Img {
	namespace Internal {
		class PCXHeader {
		public:
			bool Load(IO::FileReader::Ptr file) throw();

			Byte Version;
			bool IsCompressed;
			Byte PlaneDepth;
			Geom::SizeInt Size;
			Byte ColorPlanes;
			unsigned short BytesPerLine;
			Word PaletteType;

			Byte TotColorDepth;

			Img::Palette Palette;
		};
	}
}

#endif
