#ifndef TIFF_YCBCRCONVERTER_H
#define TIFF_YCBCRCONVERTER_H

#include "tiff_converter.h"

namespace Img {
	class TiffYCbCrConverter:public TiffDataConverter {
		void						PerformCreate();
		Byte*						PerformRequestDestinationBuffer(size_t bytes);
		Byte*						PerformReleaseDestinationBuffer(int widthInPixels, size_t bytesUsed, size_t* expandedSize);	

		typedef boost::shared_array<Byte> ByteArray;
		ByteArray					m_buffer;
		TIFFYCbCrToRGB*				m_ycbcrToRgb;
	};
}

#endif
