#ifndef FOLDER_MONITOR_IMP_H
#define FOLDER_MONITOR_IMP_H

#include "folder_types.h"

namespace IO {
	class FolderMonitorImplementation:boost::noncopyable {
	public:
		ChangeEventCallback& OnEvent;

		FolderMonitorImplementation(const String& path, ChangeEventCallback& ev);
		virtual ~FolderMonitorImplementation();

	protected:
		const String& Path();

	private:
		String m_path;
	};
}

#endif
