
#ifndef THREAD_H
#define THREAD_H

namespace Util {
	typedef shared_ptr<boost::thread> ThreadPtr;

	class ThreadAdapter {
	public:
		void operator()() const {
			m_func(m_param);
		}

		ThreadAdapter(void (*func)(void*), void* param)
			:m_func(func),
			 m_param(param)
		{}

	private:
		void (*m_func)(void*);
		void* m_param;
	};
}

#endif
