#ifndef W32_FOLDER_MONITOR_H
#define W32_FOLDER_MONITOR_H

#include "folder_monitor_imp.h"
#include "folder.h"
#include "thread.h"

namespace IO {
	class FolderMonitorWin32:public FolderMonitorImplementation {
	public:
		FolderMonitorWin32(const String& path, ChangeEventCallback& ev);

	private:
		static void threadWrapper(void* param);
		void ThreadMain();

		bool m_doTerminate;
		HANDLE m_event;
		Util::ThreadPtr m_thread;
	};
}

#endif
