#include "assoc_mode.h"

namespace App {
	class AssociationModeXpPowerUser:public AssociationMode {
	public:
		bool HasWrittenGlobalData();
		bool HasWrittenProgId(FileFormat::Ptr fmt);

		void DeleteGlobalData();
		void DeleteProgId(FileFormat::Ptr fmt);

		void Commit();

	private:
		static const String ClassesPath;
		bool OnIsAssociated(FileFormat::Ptr fmt);
		void OnAssociate(FileFormat::Ptr fmt);
		void OnUnAssociate(FileFormat::Ptr fmt);
		void OnDeleteDeprecatedAssociation(FileFormat::Ptr fmt);

		void OnBeginWriteProgIds(const String& name, const String& description);
		void OnWriteProgId(FileFormat::Ptr fmt, const String& executable);
		void OnEndWriteProgIds();

		void addExtension(const String& progId, const String& ext);
		void CreateExtension(const String& ext);
	};
}
