#include "StdAfx.h"
#include "res_settings.h"
#include "dlg_about.h"
#include "version.h"

namespace App {
	using namespace Intl;

	bool SetAbout::PerformOnInitPage() {
		Caption(App::SIDAbout);

		ControlText(IDC_TEXT_ABOUT_FREEWARE, SIDAboutFreeware);
		ControlText(IDC_TEXT_ABOUT_LIBJPEG, SIDAboutLibJpeg);
		ControlText(IDC_TEXT_ABOUT_LIBPNG, SIDAboutLibPng);

		String about(TX("Version "));

		about += ToString(CurrentVersion);

		ControlText(IDC_TEXT_ABOUT_VERSION, about.c_str());
		return true;
	}

	SetAbout::SetAbout():App::SettingsPage(IDD_SET_ABOUT) {}
}
