#ifndef DLG_FILETYPES_H
#define DLG_FILETYPES_H

#include "settings_page.h"
#include "filetypehandler.h"

namespace Img {
	class CodecFactoryStore;
}

namespace App {
	namespace Set {
		class Filetypes:public App::SettingsPage {
		public:
			bool IsRootPage() { return false; }
			Filetypes(Img::CodecFactoryStore* cfs);

		private:
			bool PerformOnInitPage();
			void onWriteSettings();

			boost::shared_ptr<FiletypeHandler> m_handler;
		};
	};
}

#endif
