#ifndef RENAME_H
#define RENAME_H

#include "dialog.h"
#include "ctrl_editbox.h"

namespace App {
	class Rename:public Win::Dialog {
	public:
		const String& Name() { return m_name; }

		Rename(const String& currname);

	private:
		Win::EditBox* m_filename;

	private:
		bool PerformOnInitDialog();
		void OnOk();
		void OnCancel();

		String m_name;

		static WNDPROC m_prevEditWndProc;
		static LRESULT CALLBACK FilterEditWndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
	};
}

#endif
