#ifndef WIZ_CUSTOMFILEFORMATS_H
#define WIZ_CUSTOMFILEFORMATS_H

#include "wiz_page.h"
#include "common_controls.h"

namespace App {
	namespace Wiz {
		class CustomFileFormats:public Page {
		public:
			void onInitPage();
			void writeSettings();

			CustomFileFormats(Img::CodecFactoryStore* cfs);

		private:
			Img::CodecFactoryStore* m_cfs;

			std::auto_ptr<App::FileFormatsListView>	m_filetypes;
		};
	}
}

#endif
