#include "StdAfx.h"

#include "Helper.h"
#include "orz/fileops.h"
#include "orz/folder.h"

void copyFiles( const String& source, const String dest )
{
	IO::Folder f;
	f.Path(source.c_str());
	IO::FileList files = f.CurrentContents();

	for (IO::FileList::iterator i = files.begin(); i != files.end(); ++i)
	{
		if (i->Type == IO::TypeFile)
		{
			CopyFileW(
				(source + i->Name).c_str(),
				(dest + i->Name).c_str(),
				false);
		}
	}
}