#include "StdAfx.h"

#include "Logger.h"

boost::mutex					g_mutexOutput;

#define DISABLEOUTPUT 

void OutputString( const String& toOutput, bool important )
{
#ifdef DISABLEOUTPUT
	if(!important) return;
#endif

	boost::mutex::scoped_lock l(g_mutexOutput);
	std::wcout << (toOutput + TX("\n")).c_str();
}
