#ifndef SURFACE_LOCK_SWMR_H
#define SURFACE_LOCK_SWMR_H

#include "surface_lock.h"

namespace Img {
	class LockStrategySingleWriterMultipleReaders:public LockStrategy {
	public:
		LockStrategySingleWriterMultipleReaders();

	private:
		void onAcquireLock(LockMethod method);
		void onReleaseLock(LockMethod method);

		boost::mutex m_mutexLocks;
		boost::condition m_conditionUnlock;

		bool m_isWriteLocked;
	};
}

#endif
