#ifndef TIFF_CIECONVERTER_H
#define TIFF_CIECONVERTER_H

#include "tiff_converter.h"

namespace Img {
	class TiffCieConverter:public TiffDataConverter {
		void PerformCreate();
		Byte* PerformRequestDestinationBuffer(size_t bytes);
		Byte* PerformReleaseDestinationBuffer(int widthInPixels, size_t bytesUsed, size_t* expandedSize);	

		typedef boost::shared_array<Byte> ByteArray;
		ByteArray					m_buffer;
		TIFFCIELabToRGB*			m_cieToRgb;
	};
}

#endif
