#include "StdAfx.h"
#include "tiff_converter.h"

namespace Img {
	void TiffDataConverter::Create(TIFF* tiff, Format dataFormat) {
		m_tiff = tiff;
		m_format = dataFormat;
		PerformCreate();
	}

	Byte* TiffDataConverter::RequestDestinationBuffer( size_t bytes ) {
		Byte* buffer = PerformRequestDestinationBuffer(bytes);
		memset(buffer, 0, bytes);
		return buffer;
	}

	Byte* TiffDataConverter::ReleaseDestinationBuffer( int widthInPixels, size_t bytesUsed, size_t* expandedSize ) {
		return PerformReleaseDestinationBuffer(widthInPixels, bytesUsed, expandedSize);
	}

	void TiffDataConverter::PerformCreate() {}

	TiffDataConverter::~TiffDataConverter() {}
}
