#ifndef TIFF_RAWCONVERTER_H
#define TIFF_RAWCONVERTER_H

#include "tiff_converter.h"

namespace Img {
	class TiffRawConverter:public TiffDataConverter {
		Byte*						PerformRequestDestinationBuffer(size_t bytes);
		Byte*						PerformReleaseDestinationBuffer(int widthInPixels, size_t bytesUsed, size_t* expandedSize);	

		typedef boost::shared_array<Byte> ByteArray;
		ByteArray					m_buffer;
	};
}

#endif
