#ifndef TIFF_STRIPLOADER_H
#define TIFF_STRIPLOADER_H

#include "tiff_loader.h"

namespace Img {
	class TiffStripLoader:public TiffLoader {
	public:
		TiffStripLoader();

	private:
		bool PerformLoadChunk();
		void PerformOnCreate();

		void transferStripToBuffer(Byte* stripData, size_t bytes);

		tstrip_t m_numerOfStrips;
		tstrip_t m_currentStrip;

		size_t m_bufferPosition;
		size_t m_readScanlines;
	};
}

#endif
