#ifndef FILEOPS_H
#define FILEOPS_H

namespace IO {
	bool DoFileExist(const String& files);
	bool DoPathExist(const String& file);

#ifdef WIN32
	bool FileDelete(const String& file, HWND hwnd);
	bool FileRecycle(const String& file, HWND hwnd);
	String Rename(const String& old_name, const String& new_name, HWND hwnd);
#endif

	bool SupportRecycle();

	String GetPath(const String& s);
	String GetParentPath(const String& s);
	String GetFile(const String& s);
	String GetTitle(const String& s);
	String GetExtension(const String& s);
}

#endif
