#ifndef FOLDER_IMP_H
#define FOLDER_IMP_H

#include "folder_iterator.h"

namespace IO {
	class FolderImplementation:boost::noncopyable {
	public:
		const String& Path() const;
		virtual FolderFileIterator::Ptr CreateIterator()=0;

		FolderImplementation(const String& path);

	private:
		String m_path;
	};
}

#endif
